Highlighted
3 Silver

SANHQ 3.1 Install Problems

Jump to solution

I cant get 3.1 to install on 2012R2 because it tries unsuccessfully to install .NET 4.5 which is already installed. Is anyone having this problem and/or did you get past it?

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Not applicable

RE: SANHQ 3.1 Install Problems

Jump to solution

Thanks to Dell EQl support for explaining this:

The version check for .NET 4.5 in the SAN HQ installer is buggy. The workaround is:


- unpack the SANHQ installer exe (7-zip can do that)

- there is a file  „.rsrc\FILE\40008“ which is the actual installer and about 65MB large

- rename this file to something with .exe and installation execute to install SAN HQ

- make sure .NET 4.5 or higher is installed (latest version available at time of this post seemed to work)

View solution in original post

22 Replies
Highlighted

RE: SANHQ 3.1 Install Problems

Jump to solution

Hello,

I would uninstall the version of NET 4.5 you have and let SANHQ install the one it carries. 

Regards,

Don

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos
Highlighted

RE: SANHQ 3.1 Install Problems

Jump to solution

Hi,

Sorry but that's not a solution.

SAN HQ asks for .Net 4.5 or later version, so .Net 4.5.2 and .Net 4.6 are later version.

I won't reinstall .Net just because SAN HQ thinks that I don't have it.

This needs to be fixed on a new update.

Highlighted
2 Bronze

RE: SANHQ 3.1 Install Problems

Jump to solution

Hi,

I agree with Vandreytrindade, to suggest uninstalling a pre-requisite is a silly idea. If the installer can not handle this, then Dell need to go back to the drawing board.

Regards

Jason

0 Kudos
Highlighted

RE: SANHQ 3.1 Install Problems

Jump to solution

Hello,

I don't disagree, but it was a suggested action to see if you could get it to install in the meantime. Instead of waiting until a new version is released.

Anyone experiencing this problem should open a support case with Dell.

Regards,

Don

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos
Highlighted
3 Silver

RE: SANHQ 3.1 Install Problems

Jump to solution
Highlighted
3 Silver

RE: SANHQ 3.1 Install Problems

Jump to solution

I have a solution/workaround. I found this out last night working with a consultant on another application and had the same problem. Since I patch all my servers before adding applications the .NET was updated to 4.6 and the installer is looking for 4.5. I just built a new server and did not patch it and was able to install the new version of SANHQ.

0 Kudos
Highlighted

RE: SANHQ 3.1 Install Problems

Jump to solution

I used Process Monitor to identify the registry key it was checking for the version on install.  I found that it was looking at the following key.

HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Client\Version

Mine was 4.6.00081.  I looked on a computer that only had 4.5 and the version was 4.5.51209.  I plugged in the 4.5.x version value, ran the setup then changed it back to the 4.6.x value after it was finished.  Worked like a charm.

Highlighted

RE: SANHQ 3.1 Install Problems

Jump to solution

Great workaround by BRAD-OVERSTREET!

Thanks!

0 Kudos
Highlighted
Not applicable

RE: SANHQ 3.1 Install Problems

Jump to solution

how do you modify this value? the registry doesn't let you do it.

0 Kudos